<div class="selector-area">
  <div class="selector-area__heading">Select Start Month</div>

  <div class="year-selector">
    <i class="material-icons" (click)="currentYearStart = currentYearStart - 1">chevron_left</i>
    {{currentYearStart}}
    <i class="material-icons" (click)="currentYearStart = currentYearStart + 1">chevron_right</i>
  </div>

  <div class="month-selector">
    <div *ngFor="let month of months"
         (click)="setStartMonth(month)"
         class="month-selector__box"
         [ngClass]="{
          'month-selector__box--active': selectedStartMonth == month}">
      {{month}}
    </div>
  </div>
</div>

<div class="selector-area">
  <div class="selector-area__heading">Select End Month</div>

  <div class="year-selector">
    <i class="material-icons" (click)="currentYearEnd = currentYearEnd - 1">chevron_left</i>
    {{currentYearEnd}}
    <i class="material-icons" (click)="currentYearEnd = currentYearEnd + 1">chevron_right</i>
  </div>

  <div class="month-selector">
    <div *ngFor="let month of months"
         (click)="setEndMonth(month)"
         class="month-selector__box"
         [ngClass]="{
          'month-selector__box--active': selectedEndMonth == month}">
      {{month}}
    </div>
  </div>
</div>
